import { M as t, _ as e, v as r, cv as s, a6 as o, g as a } from "./index-6d97e67f.js";
import "./lodash-226cb5b1.js";
import { lA as i } from "./ant-design-icons-a81e6d18.js";
import "./loglevel-5e7e37fc.js";
import "./axios-0ffd51b8.js";
import "./redux-devtools-36ca30b8.js";
import "./alasql-f59e855e.js";
import "./react-router-38313ddc.js";
import "./antd-eb0b81b8.js";
import "react";
import "react-dom";
import "./dayjs-63343308.js";
import "./fontawesome-7bcd29b1.js";
import "./dnd-kit-e0a0bf75.js";
import "./moment-d731d247.js";
import "./crypto-js-8020edb5.js";
import "./styled-components-b776227d.js";
import "./numbro-48e81844.js";
import "./papaparse-088c0adc.js";
import "./uuid-82f303b2.js";
import "./supabase-6aa220db.js";
import "./websockets-80729b50.js";
import "./fetch-03ca8116.js";
import "./react-draggable-1ced44e5.js";
import "./clsx-b06d39d3.js";
import "./remark-gfm-72b87c7d.js";
import "./buffer-f89d742d.js";
import "./rehype-raw-49057806.js";
import "./parse5-31d0cb5d.js";
import "./rehype-sanitize-38a120e4.js";
import "./simplebar-react-a37a9b2a.js";
import "./react-best-gradient-color-picker-2e7ff36d.js";
import "./ua-parser-js-1d18a3f8.js";
import "./codemirror-8fe65581.js";
import "./really-relaxed-json-e5391d6a.js";
import "./immer-c0428a8d.js";
import "./redux-saga-3b3a9c7b.js";
import "./hotkeys-js-216206c9.js";
import "./cnchar-8c3eaa86.js";
import "./react-documents-a03b99c9.js";
import "./sql-formatter-69e8df59.js";
import "./rc-trigger-7d152aa4.js";
import "./react-json-view-364658b4.js";
import "./qrcode-react-417e3716.js";
import "./katex-05fb1c31.js";
import "./ecogis-maps-10e82de5.js";
import "./devextreme-be18bda8.js";
import "./exceljs-1678d36b.js";
import "./file-saver-es-c18fae8f.js";
const p = (t2) => i("div", {}), m = function() {
  const e2 = { v1: r(0), v2: s, vStr: o };
  return new t(e2, (t2) => ({ v1: t2.v1, v2: t2.v2, v3: t2.v1 + t2.v2, vStr: t2.vStr })).setPropertyViewFn(p).build();
}(), l = { value: { v1: 11, v2: "{{testParam + 10}}" } };
test("without context", () => {
  let t2 = new m(l);
  t2 = e(t2);
  let r2 = t2.getView();
  expect(r2.v1).toEqual(11), expect(r2.v2).toEqual(0), expect(r2.v3).toEqual(11);
}), test("test with context", () => {
  let t2 = new (a(m))(l);
  t2 = e(t2);
  let r2 = t2.getView()({ testParam: 100 });
  expect(r2.v1).toEqual(11), expect(r2.v2).toEqual(110), expect(r2.v3).toEqual(121), r2 = t2.getView()({ testParam: -100 }), expect(r2.v1).toEqual(11), expect(r2.v2).toEqual(-90), expect(r2.v3).toEqual(-79);
}), test("test with multi context", () => {
  let t2 = new (a(m))({ value: { v1: 11, v2: "{{param1+param2*2}}" } });
  t2 = e(t2);
  let r2 = t2.getView()({ param1: 100, param2: 102 });
  expect(r2.v1).toEqual(11), expect(r2.v2).toEqual(304);
}), test("test with context bad input", () => {
  let t2 = new (a(m))({ value: { v1: 11, v2: "{{tstParam}}" } });
  t2 = e(t2);
  let r2 = t2.getView()({ testParam: 100 });
  expect(r2.v1).toEqual(11);
}), test("with context Date value", () => {
  let t2 = new (a(m))({ value: { v1: 11, v2: "{{testParam}}", vStr: "{{testParam}}" } });
  t2 = e(t2);
  let r2 = t2.getView()({ testParam: /* @__PURE__ */ new Date(1664887576e3) });
  expect(r2.v1).toEqual(11), expect(r2.v2).toEqual(1664887576e3), expect(r2.vStr).toEqual("2022-10-04T12:46:16.000Z");
}), test("with context Date method", () => {
  let t2 = new (a(m))({ value: { v1: 11, v2: "{{testParam.getTime()}}", vStr: "{{testParam.getTime()}}" } });
  t2 = e(t2);
  let r2 = t2.getView()({ testParam: /* @__PURE__ */ new Date(1664887576e3) });
  expect(r2.v1).toEqual(11), expect(r2.v2).toEqual(1664887576e3), expect(r2.vStr).toEqual("1664887576000");
});
export {
  m as TestComp
};
